# knock - Irssi 1.2 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.2. The current release version is Neırssi 1.3.

# knock

## Syntax

    KNOCK <channel>

## Parameters

The channel you wish to get invited to.

## Description

Sends an invitation request to the channel operators of the target channel; this command may not work on all IRC servers.

The following conditions must be met:

- You are not banned from the channel.

- The channel is not private.

- You may not be already in the channel.

- The channel must be invite only, have a key or has exceeded its user limit.

## Examples

    /KNOCK #irssi
    /KNOCK #freenode
    /KNOCK #github

## See also

INVITE, JOIN